Reschedule procedure instance
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedureInstances/{deploymentProcedureInstanceId}/actions/reschedule
Reschedule Instances provided in Request Body. In emcli, it is equivalent to 'reschedule_instance'
Request
Path Parameters
-
deploymentProcedureInstanceId(required): string
Id of an Instance.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectReschedules a submitted procedure instance
Show Source
-
scheduleTime: object
Schedule
Schedule details
Nested Schema : Schedule
Type:
objectSchedule details
Show Source
-
isTargetZone: boolean
To indicate if the time should be interpreted in the target timezone or not. If timezone is specified in time and isTargetZone is true, it will be reported as an ERROR condition
-
recurring: string
Frequency at which the operation must be executed repeatedlyExample:
frequency:weekly;days:2, -
scheduleType: string
Currently we support ICAL specification default is ICAL, in the future it can be extended to other types e.g CRON.
-
startGracePeriodInMinutes: integer
Time in minutes after which the job will be marked as skipped if not started. Null or Negative value means no grace period.Example:
60 -
timeToEnd: string
(date-time)
End time
-
timeToStart: string
(date-time)
Start time
Response
204 Response
The instance was rescheduled successfully
400 Response
Bad Request.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
401 Response
Unauthorized.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
403 Response
Forbidden.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
404 Response
Not Found.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
500 Response
Internal Server Error.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
503 Response
Service Unavailable
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty